spring.config.activate.on-profile=!local & !test
spring.config.import=aws-parameterstore:/recognition/intgr-recognition-denorm-${spring.profiles.active}/
#---
server.port=8080


# ===============================
# Spring Configuration
# ===============================
# this is the default profile which is active when no profile supplied for program run
spring.profiles.active=local
spring.application.name=intgr-recognition-denorm


# ===============================
# Logging Configuration
# ===============================
logging.file.path=logs/
logging.app.name=${spring.application.name}
logging.file.name=${spring.application.name}.log


# ===============================
# Actuator Configuration
# ===============================
management.endpoints.web.exposure.include=health,info


# ===============================
# Camel and Kafka Configuration
# ===============================
wh.camel.component.kafka.bounded-context=recognition
wh.camel.component.kafka.brokers=${kafka-broker-urls}
wh.camel.component.kafka.app-name=${spring.application.name}
wh.camel.component.kafka.env-topic-prefix=${kafka-env-name}.${kafka-env-type}.
wh.camel.component.kafka.enabled=true
camel.springboot.name=${spring.application.name}
camel.springboot.thread-name-pattern=Camel (#camelId#) thread ##counter#
camel.springboot.main-run-controller=true
recognition-event-denorm-route.topics.input=GF.BUSINESS.EVENTS
recognition-event-denorm-route.topics.retry=RECOGNITION.AWARD.DENORM.RETRY

config.exceptions.recoverable.redelivery.max-amount=3
config.exceptions.recoverable.redelivery.delay=40000

# ===============================
# Database Configuration
# ===============================
spring.sql.init.platform=oracle
spring.datasource.driverClassName=com.amazonaws.secretsmanager.sql.AWSSecretsManagerOracleDriver
spring.datasource.hikari.maximumPoolSize=10
spring.datasource.hikari.minimumIdle=5


# ===============================
# Cognito app client properties
# ===============================
cognito.read.timeout.ms=3000
cognito.connection.timeout.ms=3000
cognito.token.expiration.delta.sec=30

# ===============================
# Settings for Client Service REST API
# ===============================
client-service.read.timeout.ms=10000
client-service.connection.timeout.ms=20000
client-service.max.retry.attempts=10